Name:		ediftp
Version:	0.1.2
Release:	1%{?dist}
Summary:	FTP for EDI transport

Group:		Applications/Communications
License:	PSF
URL:		https://c7dev.unilit.us/git/?p=ediftp.git
Source0:	ediftp-%{version}.tar.gz

#BuildRequires:	
Requires:	python
%if 0%{?rhel} == 6
Requires:	python-paramiko1.10
%else
Requires:	python2-paramiko
%endif
BuildArch:	noarch

%description
Transmit and receive edi messages using FTP, with many variations
required by various partners.

%prep
%setup -q

%build
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bms/edi
cp -p pftp.py $RPM_BUILD_ROOT/bms/edi

%files
%defattr(-,root,root,-)
#doc
/usr/bin/ediftp.py
/bms/edi/pftp.py*
%{python_sitelib}/*

%changelog
* Tue Sep  6 2016 Stuart Gathman <stuart@gathman.org> 0.1.2-1
- SFTP: use mkstemp for downloaded files, like pftp
- SFTP: don't print stat for unconfirmed uploads

* Tue Sep  6 2016 Stuart Gathman <stuart@gathman.org> 0.1.1-1
- SFTP: import ediftp, not pftp
- SFTP: pass globals() to __import__
- Require paramiko{1.10}

* Wed Aug 31 2016 Stuart Gathman <stuart@gathman.org> 0.1-1
- Initial package
